##############################################################################
# Construction de la fenetre .toploadfileerrors
##############################################################################

# procedure to show window ShowWindow.toploadfileerrors
proc ShowWindow.toploadfileerrors { args} {
    # xf ignore me 7
    
    # build widget .toploadfileerrors
    if {"[info procs XFEdit]" != ""} {
	catch "XFDestroy .toploadfileerrors"
    } {
	catch "destroy .toploadfileerrors"
    }
    toplevel .toploadfileerrors 
    
    # Window manager configurations
    wm positionfrom .toploadfileerrors ""
    wm sizefrom .toploadfileerrors ""
    wm minsize .toploadfileerrors 10 10
    wm title .toploadfileerrors {daTac: Warning}

    global font1
    
    # build widget .toploadfileerrors.bOk
    button .toploadfileerrors.bOk \
	-font $font1 \
	-bg {grey95} \
	-activebackground {grey95} \
	-activeforeground {grey5} \
	-command {DestroyWindow .toploadfileerrors} \
	-cursor {hand1} \
	-text {Ok}
    
    # build widget .toploadfileerrors.ftext
    frame .toploadfileerrors.ftext \
	-relief {raised}
    
    # build widget .toploadfileerrors.ftext.sy
    scrollbar .toploadfileerrors.ftext.sy \
	-command {.toploadfileerrors.ftext.text yview} \
	-relief {raised}
    
    # build widget .toploadfileerrors.ftext.text
    text .toploadfileerrors.ftext.text \
	-font $font1 \
	-borderwidth {2} \
	-relief {raised} \
	-wrap {word} \
	-yscrollcommand {.toploadfileerrors.ftext.sy set}
    
    # bindings
    bind .toploadfileerrors.ftext.text <Any-Key> {NoFunction}
    
    # pack widget .toploadfileerrors.ftext
    pack append .toploadfileerrors.ftext \
	.toploadfileerrors.ftext.sy {left frame center filly} \
	.toploadfileerrors.ftext.text {top frame center expand fill} 
    
    # build widget .toploadfileerrors.lbl
    label .toploadfileerrors.lbl \
	-font $font1 \
	-bg {grey80} \
	-relief {raised} \
	-text {label1}
    
    # pack widget .toploadfileerrors
    pack append .toploadfileerrors \
	.toploadfileerrors.lbl {top frame center fillx} \
	.toploadfileerrors.bOk {bottom frame center fillx} \
	.toploadfileerrors.ftext {top frame center expand fill} 
    
    if {"[info procs XFEdit]" != ""} {
	catch "XFMiscBindWidgetTree .toploadfileerrors"
	after 2 "catch {XFEditSetShowWindows}"
    }
}
